<ion-header>
  <ion-navbar>
    <ion-title>
      Bestellingen
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content style="background-color: whitesmoke;">
  <div style="padding-top: 15%" text-center *ngIf="facade.orders.length === 0">
    <ion-icon name="list-box" class="no-items-message-icon"></ion-icon>
    <p class="no-items-message">Momenteel geen bestellingen</p>
  </div>
  <div *ngIf="facade.orders.length > 0">
    <ion-refresher (ionRefresh)="doRefresh($event)">
      <ion-refresher-content></ion-refresher-content>
    </ion-refresher>
    <ion-list>
      <ion-card *ngFor="let order of facade.orders" padding>
        <ion-card-header no-padding class="order-card-header">
          {{order.dateWanted | date :'dd/MM/yyy HH:mm'}} {{order.getFullName()}}
        </ion-card-header>

        <div style="display: flex; flex-direction: row;">
          <div style="width: 45%">
            <ion-label class="content-list" *ngFor="let basketItem of order.orderItems">
              {{basketItem.amount}}x   {{basketItem.product.name}}
            </ion-label>
          </div>
          <div style="width: 20%">
            <ion-label class="content-list" *ngFor="let basketItem of order.orderItems">
              € {{basketItem.getTotalPrice() | number : '1.2-2'}}
            </ion-label>
          </div>
          <div *ngIf="can_approve" style="width: 30%;">
            <button ion-button (click)="approveOrder(order)">Goedkeuren</button>
            <button ion-button (click)="rejectOrder(order)">Weigeren</button>
            <ion-label style="display: flex;" ngClass="{{order.geStatus()}}">
              {{order.statusToString()}}
            </ion-label>
          </div>
        </div>
        <div style="display: flex; width: auto;">
          <div style="display: flex; align-items: center;">
            <ion-label style="color: green; font-weight: 600;">Totaal: € {{order.getTotalPrice() | number : '1.2-2'}}</ion-label>
          </div>
        </div>
      </ion-card>
    </ion-list>
  </div>
</ion-content>
